Up

# NSTextCheckingResult class documentation

### Authors

Generated by Debian

# Software documentation for the NSTextCheckingResult class

## NSTextCheckingResult : NSObject

> Declared in:
>   Foundation/NSTextCheckingResult.h

Availability: OpenStep
NSTextCheckingResult is an abstract class encapsulating the result of some operation that checks
Method summary

- +regularExpressionCheckingResultWithRanges:count:regularExpression:
- -URL
- -addressComponents
- -components
- -date
- -duration
- -grammarDetails
- -numberOfRanges
- -orthography
- -phoneNumber
- -range
- -rangeAtIndex:
- -regularExpression
- -replacementString
- -resultByAdjustingRangesWithOffset:
- -resultType
- -timeZone

### regularExpressionCheckingResultWithRanges: count: regularExpression:

+ (NSTextCheckingResult*) regularExpressionCheckingResultWithRanges: (NSRangePointer)ranges count: (NSUInteger)count regularExpression: (NSRegularExpression*)regularExpression;
Availability: OpenStep
Description forthcoming.

### URL

- (NSURL*) URL;
Availability: OpenStep
Description forthcoming.

### addressComponents

- (NSDictionary*) addressComponents;
Availability: OpenStep
Description forthcoming.

### components

- (NSDictionary*) components;
Availability: OpenStep
Description forthcoming.

### date

- (NSDate*) date;
Availability: OpenStep
Description forthcoming.

### duration

- (NSTimeInterval) duration;
Availability: OpenStep
Description forthcoming.

### grammarDetails

- (NSArray*) grammarDetails;
Availability: OpenStep
Description forthcoming.

### numberOfRanges

- (NSUInteger) numberOfRanges;
Availability: OpenStep
Description forthcoming.

### orthography

- (NSOrthography*) orthography;
Availability: OpenStep
Description forthcoming.

### phoneNumber

- (NSString*) phoneNumber;
Availability: OpenStep
Description forthcoming.

### range

- (NSRange) range;
Availability: OpenStep
Description forthcoming.

### rangeAtIndex:

- (NSRange) rangeAtIndex: (NSUInteger)idx;
Availability: OpenStep
Description forthcoming.

### regularExpression

- (NSRegularExpression*) regularExpression;
Availability: OpenStep
Description forthcoming.

### replacementString

- (NSString*) replacementString;
Availability: OpenStep
Description forthcoming.

### resultByAdjustingRangesWithOffset:

- (NSTextCheckingResult*) resultByAdjustingRangesWithOffset: (NSInteger)offset;
Availability: OpenStep
Description forthcoming.

### resultType

- (NSTextCheckingType) resultType;
Availability: OpenStep
Description forthcoming.

### timeZone

- (NSTimeZone*) timeZone;
Availability: OpenStep
Description forthcoming.

Up